× Warning! This forum is in archival status. New contributions may not work.
Difficulties with installing liveblog
  • Having difficulties with the install for live blog on an ubuntu box.
    there are complains about a timezone when populating, but server doesn't seem to want to start in the honcho command...

    (env) root@vps415215:~/liveblog/server# honcho -f ../docker/Procfile-dev start
    .......
    12:03:55 beat.1 | pytz.exceptions.UnknownTimeZoneError: ''
    12:03:55 system | wamp.1 stopped (rc=1)
    12:03:55 system | sending SIGTERM to beat.1 (pid 2848)
    12:03:55 system | sending SIGTERM to work.1 (pid 2849)
    12:03:55 system | sending SIGTERM to rest.1 (pid 2850)
    12:03:55 rest.1 | [2017-05-31 12:03:55 +0200] [2855] [INFO] Handling signal: term
    12:03:55 system | beat.1 stopped (rc=-15)
    12:03:55 system | work.1 stopped (rc=-15)
    12:03:55 rest.1 | [2017-05-31 12:03:55 +0200] [2870] [ERROR] Exception in worker process:
    12:03:55 rest.1 | Traceback (most recent call last):
    12:03:55 rest.1 |   File "/root/liveblog/server/env/lib/python3.5/site-packages/gunicorn/arbiter.py", line 507, in spawn_worker
    12:03:55 rest.1 |     worker.init_process()
    12:03:55 rest.1 |   File "/root/liveblog/server/env/lib/python3.5/site-packages/gunicorn/workers/base.py", line 118, in init_process
    12:03:55 rest.1 |     self.wsgi = self.app.wsgi()
    .....
    12:03:55 rest.1 |   File "/root/liveblog/server/env/src/superdesk-core/superdesk/utils.py", line 24, in <module>
    12:03:55 rest.1 |     from superdesk.default_settings import ELASTIC_DATE_FORMAT
    12:03:55 rest.1 |   File "/root/liveblog/server/env/src/superdesk-core/superdesk/default_settings.py", line 461, in <module>
    12:03:55 rest.1 |     DEFAULT_TIMEZONE = tzlocal.get_localzone().zone
    12:03:55 rest.1 |   File "/root/liveblog/server/env/lib/python3.5/site-packages/tzlocal/unix.py", line 123, in get_localzone
    12:03:55 rest.1 |     _cache_tz = _get_localzone()
    12:03:55 rest.1 |   File "/root/liveblog/server/env/lib/python3.5/site-packages/tzlocal/unix.py", line 62, in _get_localzone
    12:03:55 rest.1 |     return pytz.timezone(etctz.replace(' ', '_'))
    12:03:55 rest.1 |   File "/root/liveblog/server/env/lib/python3.5/site-packages/pytz/__init__.py", line 181, in timezone
    12:03:55 rest.1 |     raise UnknownTimeZoneError(zone)
    12:03:55 rest.1 | pytz.exceptions.UnknownTimeZoneError: ''
    12:03:55 rest.1 | [2017-05-31 12:03:55 +0200] [2870] [INFO] Worker exiting (pid: 2870)
    12:03:56 rest.1 | [2017-05-31 12:03:56 +0200] [2871] [ERROR] Exception in worker process:
    12:03:56 rest.1 | Traceback (most recent call last):
    12:03:56 rest.1 |   File "/root/liveblog/server/env/lib/python3.5/site-packages/gunicorn/arbiter.py", line 507, in spawn_worker
    12:03:56 rest.1 |     worker.init_process()
    ......
    12:03:56 rest.1 |   File "/root/liveblog/server/env/lib/python3.5/site-packages/gunicorn/arbiter.py", line 194, in run
    12:03:56 rest.1 |     handler()
    12:03:56 rest.1 |   File "/root/liveblog/server/env/lib/python3.5/site-packages/gunicorn/arbiter.py", line 229, in handle_term
    12:03:56 rest.1 |     raise StopIteration
    12:03:56 rest.1 | StopIteration
    12:03:56 rest.1 | 
    12:03:56 rest.1 | During handling of the above exception, another exception occurred:
    12:03:56 rest.1 | 
    12:03:56 rest.1 | Traceback (most recent call last):
    12:03:56 rest.1 |   File "/root/liveblog/server/env/bin/gunicorn", line 11, in <module>
    12:03:56 rest.1 |     sys.exit(run())
    12:03:56 rest.1 |   File "/root/liveblog/server/env/lib/python3.5/site-packages/gunicorn/app/wsgiapp.py", line 74, in run
    12:03:56 rest.1 |     WSGIApplication("%(prog)s [OPTIONS] [APP_MODULE]").run()
    12:03:56 rest.1 |   File "/root/liveblog/server/env/lib/python3.5/site-packages/gunicorn/app/base.py", line 189, in run
    12:03:56 rest.1 |     super(Application, self).run()
    12:03:56 rest.1 |   File "/root/liveblog/server/env/lib/python3.5/site-packages/gunicorn/app/base.py", line 72, in run
    12:03:56 rest.1 |     Arbiter(self).run()
    12:03:56 rest.1 |   File "/root/liveblog/server/env/lib/python3.5/site-packages/gunicorn/arbiter.py", line 197, in run
    12:03:56 rest.1 |     self.halt()
    12:03:56 rest.1 |   File "/root/liveblog/server/env/lib/python3.5/site-packages/gunicorn/arbiter.py", line 297, in halt
    12:03:56 rest.1 |     self.stop()
    12:03:56 rest.1 |   File "/root/liveblog/server/env/lib/python3.5/site-packages/gunicorn/arbiter.py", line 342, in stop
    12:03:56 rest.1 |     time.sleep(0.1)
    12:03:56 rest.1 |   File "/root/liveblog/server/env/lib/python3.5/site-packages/gunicorn/arbiter.py", line 214, in handle_chld
    12:03:56 rest.1 |     self.reap_workers()
    12:03:56 rest.1 |   File "/root/liveblog/server/env/lib/python3.5/site-packages/gunicorn/arbiter.py", line 459, in reap_workers
    12:03:56 rest.1 |     raise HaltServer(reason, self.WORKER_BOOT_ERROR)
    12:03:56 rest.1 | gunicorn.errors.HaltServer: <HaltServer 'Worker failed to boot.' 3>
    12:03:56 system | rest.1 stopped (rc=-15)

    Anybody come across this? Searching for a way forward.

    Thanks,
    Liam
  • 1 Comment sorted by
  • Vote Up0Vote Down Grisha KostyukGrisha Kostyuk
    Posts: 52Member, Sourcefabric Team
    Hi Liam,

    You could try another way to install it: